<?php if(!defined('EMLOG_ROOT')) {exit('error!');} ?>
<!DOCTYPE html>
<html lang="zh-cn">
<head>
	<meta charset="UTF-8">
	<meta name="author" content="emlog">
	<meta name="robots" content="noindex, nofollow">
	<title>管理中心 - <?php echo Option::get('blogname');?></title>
	<link rel="shortcut icon" href="./views/lib/img/favicon.ico" type="image/x-icon">
	<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1,user-scalable=no">
	<link type="text/css" rel="stylesheet" href="https://cdn.bootcdn.net/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link type="text/css" rel="stylesheet" href="./views/lib/css/main.css">
	<script type="text/javascript" src="../include/lib/js/jquery/jquery-1.7.2.min.js?v=<?php echo Option::EMLOG_VERSION; ?>"></script>
	<script type="text/javascript" src="../include/lib/js/jquery/cookie.js?v=<?php echo Option::EMLOG_VERSION; ?>"></script>
	<script type="text/javascript" src="./views/lib/js/main.js?v=<?php echo Option::EMLOG_VERSION; ?>"></script>
	<?php doAction('adm_head');?>
</head>
<body>
<header class="clear">
	<div class="header-1 fl"><i class="fa fa-bars"></i></div>
	<div class="header-2 fl"><a href="./" title="返回管理首页">EMLOG</a></div>
	<div class="header-3 fr">
		<ul>
			<li class="header-3-menu">
				<a href="javascript:void(0);" title="搜索文章"><i class="fa fa-search"></i></a>
				<ul class="h3m-search">
					<form action="admin_log.php" method="get">
						<input type="text" name="keyword" placeholder="搜索文章">
<?php if($pid):?>
						<input type="hidden" id="pid" name="pid" value="draft">
<?php endif;?>
						<input type="submit">
					</form>
				</ul>
			</li>
			<li><a href="write_log.php" title="发布文章"><i class="fa fa-plus"></i></a></li>
			<li class="header-3-menu">
				<a href="javascript:void(0);"><i class="fa fa-cog"></i></a>
				<ul class="h3m-setting">
					<li><a href="blogger.php">个人资料</a></li>
<?php if (ROLE == ROLE_ADMIN):?>
					<li><a href="data.php">更新缓存</a></li>
					<li><a href="configure.php">系统设置</a></li>
<?php endif;?>
					<li><a href="./?action=logout">退出登录</a></li>
				</ul>
			</li>
		</ul>
	</div>
</header>
<main class="clear">
	<nav>
		<div id="user" class="clear">
			<div class="user-fl fl">
				<a href="blogger.php" title="个人资料"><img src="<?php echo empty($user_cache[UID]['avatar']) ? './views/lib/img/avatar.jpg' : '../' . $user_cache[UID]['avatar'];?>"></a>
			</div>
			<div class="user-fr fr">
				<p><?php welcome();?>！</p>
				<p><a href="./?action=logout"><i class="fa fa-reply"></i>退出登录</a></p>
			</div>
		</div>
		<div id="ul">
		<ul>
			<li><a href="../" target="_blank"><i class="fa fa-desktop"></i>博客首页</a></li>
			<li class="nav-menu">
				<a href="javascript:void(0);"><i class="fa fa-sticky-note"></i>文章管理<i class="fa fa-angle-down"></i></a>
				<ul>
					<li><a href="write_log.php"><i class="fa fa-edit"></i>新建文章</a></li>
					<li>
						<a href="admin_log.php">
							<i class="fa fa-list"></i>所有文章
<?php
$checknum = $sta_cache['checknum'];
if (ROLE == ROLE_ADMIN && $checknum > 0):
$n = $checknum > 999 ? '...' : $checknum;
?>
							<span title="<?php echo $checknum; ?>篇文章待审"><?php echo $n;?></span>
<?php endif; ?>
						</a>
					</li>
					<li>
						<a href="admin_log.php?pid=draft">
							<i class="fa fa-list-alt"></i>临时草稿
<?php 
if (ROLE == ROLE_ADMIN){
	echo $sta_cache['draftnum'] == 0 ? '' : '<span>'.$sta_cache['draftnum'].'</span>'; 
}else{
	echo $sta_cache[UID]['draftnum'] == 0 ? '' : '<span>'.$sta_cache[UID]['draftnum'].'</span>';
}
?>
						</a>
					</li>
<?php if (ROLE == ROLE_ADMIN):?>
					<li><a href="page.php?action=new"><i class="fa fa-file-text-o"></i>新建单页</a></li>
					<li><a href="page.php"><i class="fa fa-file-text"></i>单页管理</a></li>
					<li><a href="twitter.php"><i class="fa fa-coffee"></i>每日一语</a></li>
<?php endif;?>
				</ul>
			</li>
			<li>
				<a href="comment.php">
					<i class="fa fa-comments"></i>评论管理
<?php
$hidecmnum = ROLE == ROLE_ADMIN ? $sta_cache['hidecomnum'] : $sta_cache[UID]['hidecommentnum'];
if ($hidecmnum > 0):
$n = $hidecmnum > 999 ? '...' : $hidecmnum;
?>
					<span title="<?php echo $hidecmnum;?>条评论待审"><?php echo $n;?></span>
<?php endif;?>
				</a>
			</li>
<?php if (ROLE == ROLE_ADMIN):?>
			<li class="nav-menu"><a href="store.php"><i class="fa fa-shopping-bag"></i>在线商店</a></li>
			<li class="nav-menu">
				<a href="javascript:void(0);"><i class="fa fa-cube"></i>相关设置<i class="fa fa-angle-down"></i></a>
				<ul>
					<li><a href="template.php"><i class="fa fa-puzzle-piece"></i>模板管理</a></li>
					<li><a href="plugin.php"><i class="fa fa-plug"></i>插件管理</a></li>
					<li><a href="widgets.php"><i class="fa fa-sort-amount-desc"></i>侧边管理</a></li>
					<li><a href="navbar.php"><i class="fa fa-share"></i>导航管理</a></li>
					<li><a href="sort.php"><i class="fa fa-th-large"></i>分类管理</a></li>
					<li><a href="tag.php"><i class="fa fa-tags"></i>标签管理</a></li>
					<li><a href="link.php"><i class="fa fa-link"></i>友链管理</a></li>
					<li><a href="user.php"><i class="fa fa-users"></i>用户管理</a></li>
				</ul>
			</li>
			<li class="nav-menu">
				<a href="javascript:void(0);"><i class="fa fa-cogs"></i>系统配置<i class="fa fa-angle-down"></i></a>
				<ul>
					<li><a href="configure.php"><i class="fa fa-wrench"></i>全局设置</a></li>
					<li><a href="seo.php"><i class="fa fa-globe"></i>SEO设置</a></li>
					<li><a href="data.php"><i class="fa fa-clock-o"></i>更新 + 备份</a></li>
				</ul>
			</li>
<?php if (!empty($emHooks['adm_sidebar_ext'])):?>
			<li class="nav-menu">
				<a href="javascript:void(0);"><i class="fa fa-slack"></i>扩展功能<i class="fa fa-angle-down"></i></a>
				<ul>
					<?php doAction('adm_sidebar_ext');?>
				</ul>
			</li>
<?php endif;?>
			<li class="nav-menu">
				<a href="javascript:void(0);"><i class="fa fa-ellipsis-h"></i>其它功能<i class="fa fa-angle-down"></i></a>
				<ul>
					<li><a href="em_up.php"><i class="fa fa-floppy-o"></i>程序升级</a></li>
				</ul>
			</li>
<?php endif;?>
		</ul>
		</div>
	</nav>
	<section>
<?php if(isset($_GET["plugin"])):?>
		<div class="stitle">
			<ul>
				<li><a href="./">首页</a></li>
				<li class="stitle-o"><a>插件配置</a></li>
			</ul>
		</div>
		<div class="smain">
<?php endif;?>
